<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrAlmD=V($_POST['CboAlmD']);
	$StrSN=V($_POST['CboSN']);		
	$StrNum=V($_POST['TxtNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);			
	$StrDes=V($_POST['TxtDes']);		
	$StrMar=V($_POST['TxtMar']);
	$StrLin=V($_POST['TxtLin']);				
	//-------------------------
	//if(strlen($StrAlm)==0) $StrAlm=$_SESSION['SYS_USER_ALM'];
	//if(strlen($StrAlmD)==0) $StrAlmD=GetSO("alm_nombre","almacenes","","alm_nombre");
	
	if($StrSN=="S")$StrSN="SI";
	if($StrSN=="N")$StrSN="NO";	
	//-------------------------
	$StrNum_=$StrNum."%";
	$StrLin_=VCbo($StrLin);
	if(strlen($StrDex)==0){
		$StrDex_="2000-01-01";
	}else{
		$StrDex_=ToDate($StrDex);
	}
	if(strlen($StrHax)==0){
		$StrHax_="2020-12-01";
	}else{
		$StrHax_=ToDate($StrHax);
	}
	$StrDes_=$StrDes."%";
	$StrMar_=$StrMar."%";
	//-------------------------
	
	$StrSN_=substr($StrSN,0,1);
	
	if(strlen($StrSN_)==0) $StrSN_="%";
	//-------------------------	
	$FF="ID>0 	AND ALM_O LIKE '$StrAlm' 
				AND ALM_D LIKE '$StrAlmD' 
				AND NUM LIKE '$StrNum_' 
				AND FEC >= '$StrDex_' 
				AND FEC <= '$StrHax_' 
				AND ANU LIKE '$StrSN_' 
				AND DES LIKE '$StrDes_' 
				AND MAR LIKE '$StrMar_'
				AND LIN LIKE '$StrLin_' ";
	$LStrTR=gn("count(*)","vtransferencias_det",$FF);								
	$LStrPag=V($_POST['TxtPag']);
	if($StrCmd=="F"){$LStrPag="1";}
	$VP_RegXPag=10;
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	$LStrFoc="document.getElementById('CboAlm').focus();";
	$LStrMsg="onload=\"$LStrFoc;\"";
	
	$IdUsu=$_SESSION['SYS_USER_ID'];
	$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>

<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Transferencias - Buscar - Detallado</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

function fGenPDF_2(){	
	document.getElementById("TxtAc").value="GEN_PDF_2";
	document.getElementById("Frm").submit();
}
</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->

<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post"  autocomplete="off"
action="transferencias_buscar_det.php" 
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">TRANSFERENCIAS - BUSQUEDA DETALLADA</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 115px;">
ALMACEN ORIGEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt"  style="left: 33px; top: 138px; width: 187px;"
tabindex="<?php echo ++$TI;?>">
<?php echo ListALM($StrAlm); ?>
</select>

<div class="s1" style="left: 232px; top: 121px; width: 124px;">
ALMACEN DESTINO</div>
<select name="CboAlmD" id="CboAlmD" 
class="lt" style="left: 230px; top: 138px; width: 208px;"
tabindex="<?php echo ++$TI;?>">
<?php
$s="SELECT alm_nombre FROM almacenes WHERE id_almacen>= 0 ORDER BY alm_nombre";
$result = grs($s);
while ($row = $result->fetch_row()){
if($StrAlmD==$row[0]){
echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
}else{
echo "<option value=\"$row[0]\" >$row[0]</option>";
}
}
?>
</select>

<div class="s1" style="left: 448px; top: 121px; width: 45px;">
NUMERO</div>
<input name="TxtNum" type="text" id="TxtNum" 
class="lt" style="left: 448px; top: 138px; width: 79px;" 
value="<?php echo $StrNum;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 536px; top: 121px; width: 45px;">
DESDE</div>
<input name="TxtDex" type="text" id="TxtDex" 
class="fe" style="left: 536px; top: 138px; width: 73px;" 
value="<?php echo $StrDex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 618px; top: 121px; width: 60px;">
HASTA</div>
<input name="TxtHax" type="text" id="TxtHax" 
class="fe" style="left: 619px; top: 138px; width: 73px;" 
value="<?php echo $StrHax;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 700px; top: 121px; width: 65px;">
ANULADO</div>
<select name="CboSN" id="CboSN" 
class="lt" style="left: 700px; top: 138px; width: 60px;"
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO("aux_nom","auxiliar","aux_des='SN'",$StrSN,"N","N");?>
</select>

<div class="s1" style="left: 772px; top: 121px; width: 74px;">
DESCRIPCION</div>
<input name="TxtDes" type="text" id="TxtDes" 
class="lt" style="left: 772px; top: 138px; width: 206px;" 
value="<?php echo $StrDes;?>"  
tabindex="<?php echo ++$TI;?>"/>


<div class="s1" style="left: 989px; top: 121px; width: 74px;">
MARCA</div>
<input name="TxtMar" type="text" id="TxtMar" 
class="lt" style="left: 987px; top: 138px; width: 88px;"
value="<?php echo $StrMar;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1087px; top: 121px; width: 74px;">
LINEA</div>
<select name="TxtLin" id="TxtLin" 
class="lt" style="left: 1085px; top: 138px; width: 89px;"
tabindex="<?php echo ++$TI;?>">
<?php echo FCBOO_("lin_nombre","lineas","id_linea>0",$StrLin,"S","","lin_nombre");?>
</select>


<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdZ" class="btm"
value="Volver" onClick="fBuscar('transferencias.php?TxtAc=X');"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF_2();"
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="PDF.Det" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->


<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="8" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="170" style="text-align:left; background:#999">ORIGEN</th>
<th width="205" style="text-align:left; background:#999"">DESTINO</th>
<th width="79"  style="text-align:left; background:#999"">NUMERO</th>
<th width="68"  style="text-align:left; background:#999"">FECHA</th>
<th width="322" style="text-align:left; background:#999"">DESCRIPCION</th>
<th width="129" style="text-align:left; background:#999"">MARCA</th>
<th width="119" style="text-align:left; background:#999"">LINEA</th>
<th width="50" style="text-align:right; background:#999"">CANT</th>
</tr>
</thead>
<tbody>

<?php		  		

	$s="SELECT ID,ALM_O,ALM_D,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),DES,MAR,LIN,KA
		FROM vtransferencias_det 
		WHERE ".$FF." 
		ORDER BY ALM_O,ALM_D,NUM,FEC,DES  ";

	$result = grs($s);				
	while ($row = $result->fetch_row()){
		?>	
		<tr onDblClick="location.href='transferencias.php?Id=<?php echo $row[0];?>&Pag=0'">
		<!----------------------------------------------->
		<td><?php echo vbl($row[1],22);?></td>  
		<td><?php echo vbl($row[2],28);?></td> 
		<td><a target="_blank" href="transferencias.php?Id=<?php echo $row[0];?>">'<?php echo $row[3];?></a></td>
		<td style="text-align:left;"><?php echo $row[4];?></td> 
		<td><?php echo vbl($row[5],44);?></td>
		<td><?php echo vbl($row[6],16);?></td> 
		<td><?php echo vbl($row[7],16);?></td>  
		<td style="text-align:right"><?php echo $row[8];?></td> 
		<!----------------------------------------------->
		</tr>
		<?php
	}
?>		  
       
</tbody>
</table>
</div>
    
    
<!----------------------------------------->
<?php include("ocultos.php");?>

<div class="s1" style="left: 33px; top: 579px; width: 426px;">
Doble Click sobre el registro para activar Actualizacion</div>

</form>

<form action="ficheroExcel.php" 
	method="post" target="_blank" id="FormularioExportacion" >
<div style="position: absolute; left: 408px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar" />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrAlmD,$StrSN,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar);
	$StrDESCARGAR=$_PDF;
}

if($StrCmd=="GEN_PDF_2"){
	$_PDF=GEN_PDF_2($FF,$StrAlm,$StrAlmD,$StrSN,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar);
	$StrDES_2=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrAlmD,$StrSN,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"TRANSFERENCIAS DETALLADO",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN ORIGEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrAlmD)>0){
$_ENC=vbl("ALMACEN DESTINO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlmD.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

$pdf->Cell(0,4," ",0,1);
$pdf->Cell(0,4," ",0,1);
//
$s="SELECT ID,ALM_O,ALM_D,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),DES,MAR,KA
	FROM vtransferencias_det WHERE ".$FF." GROUP BY ID ORDER BY ALM_O,ALM_D,NUM,FEC,DES ";	

$result = grs($s);
while ($row = $result->fetch_row()){
	
	$_ENC=vbl("NUMERO : ".$row[3].vbfill(" ",20),20);
	$_ENC=$_ENC." ".vbl("FECHA : ".$row[4].vbfill(" ",15),15);
	$pdf->Cell(0,4,$_ENC,0,1);

	$StrT1=8;	$_ENC=vbl("CODIGO".vbfill(" ",$StrT1),$StrT1);
	$StrT2=39;	$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",$StrT2),$StrT2);
	$StrT3=30;	$_ENC=$_ENC." ".vbl("MARCA".vbfill(" ",$StrT3),$StrT3);
	$StrT4=10;	$_ENC=$_ENC." ".vbr(vbfill(" ",$StrT4)."CANT",$StrT4);
	$pdf->Cell(0,4,$_ENC,0,1);
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

	$TOT=0;

	$sS="SELECT ID,ALM_O,ALM_D,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),COD,DES,MAR,KA
		FROM vtransferencias_det WHERE ID=$row[0] ORDER BY ALM_O,ALM_D,NUM,FEC,DES ";
	$resultS = grs($sS);
	while ($rowS = $resultS->fetch_row()){
	$_ENC=vbl($rowS[5].vbfill(" ",$StrT1),$StrT1);	
	$_ENC=$_ENC." ".vbl($rowS[6].vbfill(" ",$StrT2),$StrT2);
	$_ENC=$_ENC." ".vbl($rowS[7].vbfill(" ",$StrT3),$StrT3);
	$_ENC=$_ENC." ".vbr(vbfill(" ",$StrT4).$rowS[8],$StrT4);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$rowS[8];
	}
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
	$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
	$_TD=vbr(vbfill(" ",14).$TOT,14);
	$pdf->Cell(0,4,$_TI." ".$_TD,0,1);
	//
	$pdf->Cell(0,4,vbfill("",$_CxL),0,1);
	$pdf->Cell(0,4,vbfill("",$_CxL),0,1);
	$pdf->Cell(0,4,"",0,1);	
}
//$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

//$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
//$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
//$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Tranasferencias_Detallado.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}


//-------------------------------------------
function GEN_PDF_2($FF,$StrAlm,$StrAlmD,$StrSN,$StrNum,$StrDex,$StrHax,$StrDes,$StrMar){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"TRANSFERENCIAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN ORIGEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrAlmD)>0){
$_ENC=vbl("ALMACEN DESTINO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlmD.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);
$pdf->Cell(0,4,"",0,1);
//------------------------------------------
$P=0;
$P++;	$T[$P]=13;	$_ENC=vbl("ALM.ORI".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=13;	$_ENC=$_ENC." ".vbl("ALM.DES".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=8;	$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=8;	$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=28;	$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=10;	$_ENC=$_ENC." ".vbl("MARCA".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=4;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."CANT",$T[$P]);
$pdf->Cell(0,4,$_ENC,0,1);
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	


$s="SELECT ID,ALM_O,ALM_D,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),DES,MAR,KA
	FROM vtransferencias_det WHERE ".$FF." ORDER BY ALM_O,ALM_D,NUM,FEC,DES ";	
$result = grs($s);
while ($row = $result->fetch_row()){	
	$P=0;
	$P++;	$_ENC=vbl($row[1].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[5].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[6].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).$row[7],$T[$P]);
	$pdf->Cell(0,4,$_ENC,0,1);
	$TOT=$TOT+$row[7];
}

$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).$TOT,14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Tranasferencias.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDES_2)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 221px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDES_2\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\"	  
	  style=\"position:absolute; left: 315px; top: 102px; 
	  width: 89px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>



</div>
</div>
</body>
</html>
